#  xhkeys RPM spec file
#  Created 02-Aug-02
#  Modified (v 1.0.2)  19-Apr-02

%define ver 1.0.2
%define rel 1
%define prefix /usr

Summary: xhkeys - a tool for your special keyboard
Name: xhkeys
Version: %ver
Release: %rel
Copyright: GPL
Vendor: Michael Glickman <wmalms@yahoo.com>
Packager: Michael Glickman <wmalms@yahoo.com>
Group: X Windows/Hardware 
Source: xhkeys-%{ver}.tar.gz
URL: http://www.geocities.com/wmalms

%description
This application is designed to suit any PC keyboard that has some extra
keys that otherwise make no use with X (like "Menu" key  on a 105-key
keyboard, or extra keys on some keyboard models).

With xhkeys you can assign a particular action to any key or key combination
(key and shift state) that can be of one of the following types:

 - built-in operation
   (CD play, volume/balance, window circulation)
 - calling an external application
 - sending a key event to a specified application
   (simulating key press/release)
 - sending a mouse button event to a specified application
   (simulating button press/release)

The package includes configuration utility.
 
%prep
%setup

./configure --prefix=%prefix
make

%install
make install

%files
%doc XHkeys.sample
%doc manual.html
%doc xhkeys.lsm
%doc README
%{prefix}/bin/xhkeys
%{prefix}/bin/xhkconf


